/***********************************************************************
 ApproximateAlignment.C
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#include "ApproximateAlignment.H"
#include <iostream>
#include "DnaAlphabet.H"
#include "AminoAlphabet.H"
#include "ProteinTrans.H"
#include <fstream>
using namespace BOOM;


/****************************************************************
                     class ApproxAlignCell
 */
ApproxAlignCell::ApproxAlignCell()
{
  // default ctor
}



ApproxAlignCell::ApproxAlignCell(int x,int y,MatchType matchType,
				 float matches,int length)
  : x(x), y(y), matchType(matchType), matches(matches), length(length)
{
  // ctor
}



void ApproxAlignCell::setCumulatives(float matches,int length)
{
  this->matches=matches;
  this->length=length;
}







