/****************************************************************
 EdgeWeightsMatrix.C
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include <iostream>
#include "EdgeWeightsMatrix.H"
using namespace std;
using namespace BOOM;


EdgeWeightsMatrix::EdgeWeightsMatrix(int numVertices)
  : M(numVertices,numVertices)
{
  // ctor
}



double EdgeWeightsMatrix::getWeight(int vertex1,int vertex2) const
{
  return M[vertex1][vertex2];
}



void EdgeWeightsMatrix::setWeight(int vertex1,int vertex2,double weight)
{
  M[vertex1][vertex2]=weight;
}



