/****************************************************************
 EdgeWeightsMatrix.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_EdgeWeightsMatrix_H
#define INCL_EdgeWeightsMatrix_H
#include <iostream>
#include "EdgeWeights.H"
#include "Array2D.H"
using namespace std;


namespace BOOM {

class EdgeWeightsMatrix : public EdgeWeights
{
public:
  EdgeWeightsMatrix(int numVertices);
  virtual double getWeight(int vertex1,int vertex2) const;
  void setWeight(int vertex1,int vertex2,double weight);
private:
  Array2D<double> M;
};

}

#endif

