/***********************************************************************
 IndexedFasta.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_BOOM_IndexedFasta_H
#define INCL_BOOM_IndexedFasta_H
#include "String.H"
#include "File.H"

namespace BOOM {
class IndexedFasta
{
  BOOM::File file;
public:
  IndexedFasta(const BOOM::String &filename);
  void load(long begin,long len,char *);
  BOOM::String *load(long begin,long len);
  void load(long begin,long len,BOOM::String &);
  long getSize() const;
};
}

#endif
