/***********************************************************************
 LinearFunc.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_BOOM_LinearFunc_H
#define INCL_BOOM_LinearFunc_H
using namespace std;

namespace BOOM {
class LinearFunc
{
public:
  LinearFunc(double slope,double intercept,
		 double coefOfDeterm);
  LinearFunc();
  double operator()(double) const;
  LinearFunc &operator=(const LinearFunc &);
  double getCoefDeterm() const;
private:
  double slope, intercept;
  double coefOfDeterm;
};
}

#endif
