/***********************************************************************
 List.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_BOOM_List_H
#define INCL_BOOM_List_H
#include <list>
using namespace std;

// A doubly-linked list class

namespace BOOM {
template<class T>
class List : public list<T>
{
public:
  List() {}
  void append(const T &);
};
}


template<class T>
void BOOM::List<T>::append(const T &t)
{
  insert(end(),t);
}

#endif
