/***********************************************************************
 MultRegress.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_BOOM_MultRegress_H
#define INCL_BOOM_MultRegress_H
#include "DblMatrix.H"
using namespace std;

namespace BOOM {
class MultRegress
{
public:
  bool regress(const BOOM::DblMatrix &Y,const BOOM::DblMatrix &X,
	       BOOM::DblMatrix &coef);
private:
  bool inversionRegression(const BOOM::DblMatrix &Y,
			   const BOOM::DblMatrix &X,
			   BOOM::DblMatrix &coef);
};
}

#endif
