/***********************************************************************
 MutInfo.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_BOOM_MutInfo_H
#define INCL_BOOM_MutInfo_H
#include "JointDistr.H"
#include "ContingencyTbl.H"
using namespace std;

namespace BOOM {
class MutInfo
{
public:
  static double compute(const BOOM::ContingencyTbl &);
  static double compute(const BOOM::JointDistr &);
};
}

#endif
