/***********************************************************************
 NormalDistribution.C
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#include "NormalDistribution.H"
#include <iostream>


const double NormalDistribution::negLogSqrtTwoPi=-log((long double)2*PI)/2;


NormalDistribution::NormalDistribution(double mu,double sigma)
  : mu(mu), sigma(sigma)
{
}



double NormalDistribution::density(double x) const
{
  return density(x,mu,sigma);
}



double NormalDistribution::logDensity(double x) const
{
  return logDensity(x,mu,sigma);
}


