/***********************************************************************
 Pipe.C
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#include <iostream>
#include "Pipe.H"
using namespace std;



BOOM::Pipe::Pipe(const BOOM::String &command,const BOOM::String &mode)
  : BOOM::File()
{
  fp=popen(command.c_str(),mode.c_str());
  if(!fp) 
    throw BOOM::String("Can't open pipe for command \"")+
      command+"\"";
  filename=command;
  this->mode=mode;
}



void BOOM::Pipe::close()
{
  if(fp!=NULL)
    pclose(fp);
  fp=NULL;
}
