/***********************************************************************
 Progress.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_BOOM_Progress_H
#define INCL_BOOM_Progress_H
#include "String.H"
using namespace std;

namespace BOOM {
class Progress
{
public:
  Progress();
  BOOM::String getProgress(unsigned long workDone);
  void start(unsigned long totalWork);
private:
  unsigned long totalWork;
  long startTime;
};
}

#endif
