/***********************************************************************
 PureDnaAlphabet.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_PureDnaAlphabet_H
#define INCL_PureDnaAlphabet_H
using namespace std;
#include "Alphabet.H"


/***********************************************************************
 Like DnaAlphabet, but without the 'N' character (i.e., just ACGT)
 ***********************************************************************/

namespace BOOM {
class PureDnaAlphabet : public Alphabet
{
public:
  PureDnaAlphabet();
  static PureDnaAlphabet global;
private:
};



class LowercasePureDnaAlphabet : public Alphabet
{
public:
  LowercasePureDnaAlphabet();
  static LowercasePureDnaAlphabet global;
private:
};
}


#endif
