/***********************************************************************
 Random.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_BOOM_Random_H
#define INCL_BOOM_Random_H
#include <limits.h>
using namespace std;
#define INCL_RANDOM_H

namespace BOOM {
const int LARGEST_RANDOM_NUMBER=SHRT_MAX;  
unsigned GetRandomSeed();
void SeedRandomizer(unsigned);
void randomize();
int RandomNumber(int n);
float Random0to1();
float RandomFloat(float range);
float RandomFloat(float from,float to);
float RandomGaussian(float min,float max,int n);
}

#endif
