/****************************************************************
 RouletteWheel.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_RouletteWheel_H
#define INCL_RouletteWheel_H
#include <iostream>
#include "Vector.H"


namespace BOOM {


class RouletteWheel
{
  Vector<double> wheel;
  int lookup(double);
public:
  void addSector(double probability);
  void doneAddingSectors();
  int spin();
  void printOn(ostream &) const;
};

ostream &operator<<(ostream &,const RouletteWheel &);

}

#endif
