/***********************************************************************
 Stacktrace.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_BOOM_Stacktrace_H
#define INCL_BOOM_Stacktrace_H
#include "String.H"
using namespace std;


namespace BOOM {
class Crasher  
{
public:
  virtual void crash() {};
};



class Stacktrace  
{
public:
  Stacktrace(const char *message);
  Stacktrace(const BOOM::String &);
};
}

#endif
