/***********************************************************************
 Symbol.C
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
using namespace std;
#include "Symbol.H"
#include <iostream>
#include "String.H"
using namespace BOOM;


Symbol::Symbol(int i) : alphabetIndex(i)
{
}



bool Symbol::operator==(const Symbol &other) 
{ 
  return alphabetIndex==other.alphabetIndex;
}



Symbol::operator int() const 
{ 
  return alphabetIndex;
}



int Symbol::getIndex() const
{
  return alphabetIndex;
}



Symbol &Symbol::operator++() 
{ 
  ++alphabetIndex; 
  return *this;
}



