/***********************************************************************
 Symbol.H
 bmajoros@bmajoros@duke.edu

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_Symbol_H
#define INCL_Symbol_H
using namespace std;

namespace BOOM {


class Symbol
{
  unsigned char alphabetIndex;
public:
  Symbol(int =0);
  bool operator==(const Symbol &);
  operator int() const;
  int getIndex() const;
  Symbol &operator++();
};

#define INVALID_SYMBOL Symbol(255)


}

#endif
