/***********************************************************************
 Time.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_BOOM_Time_H
#define INCL_BOOM_Time_H
#include <sys/time.h>
#include "String.H"
using namespace std;
namespace BOOM {

BOOM::String getDateAndTime();


class Time
{
public:
  BOOM::String elapsedTime();
  float elapsedSeconds();
  void startCounting();
  void stopCounting();
private:
  timeval timevalStart, timevalStop;
};
}

#endif
