/****************************************************************
 IndividualBuilder.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_IndividualBuilder_H
#define INCL_IndividualBuilder_H

#include "BOOM/Vector.H"
#include "Individual.H"
#include "TreeBuilder.H"
using namespace BOOM;


class IndividualBuilder
{
  TreeBuilder treeBuilder;
public:
  IndividualBuilder(SymbolSet &);
  Individual *buildIndividual(int treeHeight);
  TreeBuilder &getTreeBuilder();
};


#endif
