/****************************************************************
 Tournament.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_TOURNAMENT_H
#define INCL_TOURNAMENT_H

#include "Population.H"
#include "RouletteWheel.H"

class Tournament
{
  Vector<Individual*> v;
  RouletteWheel *wheel;
public:
  Tournament(Population &,int size);
  virtual ~Tournament();
  Individual *pickWinner();
};

#endif
