/****************************************************************
 CrossPtCollector.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_CrossPtCollector_H
#define INCL_CrossPtCollector_H

#include "BOOM/Vector.H"
#include "CrossoverPoint.H"
using namespace BOOM;


class CrossPtCollector
{
  void addPointsRecurs(TreeNode &,Vector<CrossoverPoint> &,int depth);
public:
  CrossPtCollector();
  Vector<CrossoverPoint> *collectPoints(TreeNode *);
};


#endif
