/****************************************************************
 SymbolSet.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_SymbolSet_H
#define INCL_SymbolSet_H

#include "TreeNode.H"
#include "BOOM/Vector.H"
using namespace BOOM;


class SymbolSet
{
  Vector<TreeNode*> nonterminals, terminals;
public:
  SymbolSet();
  void addNonterminal(TreeNode *);
  void addTerminal(TreeNode *);
  Vector<TreeNode*> &getNonterminals();
  Vector<TreeNode*> &getTerminals();
  TreeNode *randomTerminal();
  TreeNode *randomNonterminal();
};


#endif
