/****************************************************************
 TreeBuilder.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_TreeBuilder_H
#define INCL_TreeBuilder_H

#include "BOOM/Vector.H"
#include "TreeNode.H"
#include "SymbolSet.H"
using namespace BOOM;


class TreeBuilder
{
  SymbolSet &symbolSet;
public:
  TreeBuilder(SymbolSet &);
  TreeNode *buildTree(int height);
};


#endif
