/****************************************************************
 NamesFile.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_NamesFile_H
#define INCL_NamesFile_H

#include "BOOM/String.H"
#include "BOOM/Vector.H"
#include "Schema.H"
using namespace BOOM;

class NamesFile
{
  Vector<String> names;
public:
  NamesFile();
  Schema *processFile(const String &filename);
  String &getName(int);
  void addName(const String &);
};


#endif
