/****************************************************************
 TrainingCase.C
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "TrainingCase.H"
#include <iostream>
using namespace BOOM;


TrainingCase::TrainingCase(int numAttributes)
  : Case(numAttributes),
    category(-1)
{
  // ctor
}



void TrainingCase::setCategory(int c)
{
  category=c;
}



int TrainingCase::getCategory()
{
  return category;
}



void TrainingCase::printOn(ostream &os)
{
  Case::printOn(os);
  os << category;
}



ostream &operator<<(ostream &os,const TrainingCase &c)
{
  ((TrainingCase &)c).printOn(os);
  return os;
}
