/****************************************************************
 TrainingCase.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_TrainingCase_H
#define INCL_TrainingCase_H

#include "Case.H"
using namespace BOOM;

class TrainingCase : public Case
{
  int category;
public:
  TrainingCase(int numAttributes);
  void setCategory(int);
  int getCategory();
  virtual void printOn(ostream &);
};

ostream &operator<<(ostream &,const TrainingCase &);


#endif
