/****************************************************************
 FeatureF.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_FeatureF_H
#define INCL_FeatureF_H

#include "BOOM/Comparator.H"
using namespace BOOM;


struct FeatureF
{
  int featureNum; // = attribute number
  float F; // F=groupMS/errorMS

  FeatureF(int n,float f);
};



class FeatureComparator : public Comparator<FeatureF*>
{
  virtual bool equal(FeatureF *&,FeatureF *&);
  virtual bool greater(FeatureF *&,FeatureF *&);
  virtual bool less(FeatureF *&,FeatureF *&);
};


#endif
