/****************************************************************
 FeatureF.C
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "FeatureF.H"

FeatureF::FeatureF(int n,float f) 
  : featureNum(n), F(f) 
{
  // ctor
}


bool FeatureComparator::equal(FeatureF *&a,FeatureF *&b)
{
  return a->F==b->F;
}



bool FeatureComparator::greater(FeatureF *&a,FeatureF *&b)
{
  return a->F>b->F;
}



bool FeatureComparator::less(FeatureF *&a,FeatureF *&b)
{
  return a->F<b->F;
}


