/****************************************************************
 NetworkBuilder.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_NetworkBuilder_H
#define INCL_NetworkBuilder_H

#include "NeuralNetwork.H"

class NetworkBuilder
{
  static void connectLayers(int prevLayerFrom,
			    int prevLayerTo,
			    int curLayerFrom,
			    int curLayerTo,NeuralNetwork &);
public:
  static NeuralNetwork *buildNetwork(int numInputs,
				     int numOutputs,
				     int numHiddenLayers,
				     int neuronsPerLayer);
};

#endif
