/****************************************************************
 NeuronType.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_NeuronType_H
#define INCL_NeuronType_H

#include "TransferFunction.H"
#include "InputCombiningFunction.H"

class NeuronType
{
  TransferFunction &transferFunction;
  InputCombiningFunction &inputFunction;
public:
  NeuronType(TransferFunction &,InputCombiningFunction &);
  TransferFunction &getTransferFunction();
  InputCombiningFunction &getInputCombiningFunction();
};

#endif
