/****************************************************************
 Synapse.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_SYNAPSE_H
#define INCL_SYNAPSE_H

#include <iostream>
using namespace std;

class Synapse
{
  float weight;
  int from, to; // neuron indices
public:
  Synapse();
  Synapse(float weight,int from,int to);
  Synapse &operator=(const Synapse &);
  float getWeight() const;
  int getFrom() const;
  int getTo() const;
  void changeWeight(float);
  void saveSelf(ostream &);
  void loadSelf(istream &);
};

#endif
