/****************************************************************
 ClassifiedAR.C
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "ClassifiedAR.H"
#include <iostream>
using namespace std;

ClassifiedAR::ClassifiedAR(TrainingCase &tc)
  : ar(tc.getNumAttributes()), category(tc.getCategory())
{
  // ctor

  int i;
  for(i=0 ; i<tc.getNumAttributes() ; ++i)
    ar[i]=tc.getContinuous(i);
}



ActivationRecord &ClassifiedAR::getAR()
{
  return ar;
}



int ClassifiedAR::getCategory()
{
  return category;
}


