/****************************************************************
 SubtreeMutator.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_SubtreeMutator_H
#define INCL_SubtreeMutator_H

#include "BOOM/Vector.H"
#include "TreeNode.H"
#include "CrossPtCollector.H"
#include "Individual.H"
#include "TreeBuilder.H"
using namespace BOOM;



class SubtreeMutator
{
  TreeBuilder &treeBuilder;
  CrossPtCollector crossPtCollector;
  int maxHeight;
public:
  SubtreeMutator(TreeBuilder &);
  Individual *mutate(Individual *); // doesn't modify its parameter
};


#endif
