/****************************************************************
 Tableau.C
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "Tableau.H"
#include <iostream>
#include <stdlib.h>
using namespace std;


Tableau *Tableau::global;


Tableau::Tableau(ConfigFile &config)
{
  // ctor

  minConst=config.getFloatOrDie("min-const");
  maxConst=config.getFloatOrDie("max-const");
  maxHeight=config.getIntOrDie("max-tree-height");
  nonterminals=config.lookupOrDie("nonterminals");
  terminals=config.lookupOrDie("terminals");
}



void Tableau::processConfig(ConfigFile &config)
{
  global=new Tableau(config);
}



Tableau &Tableau::getGlobal()
{
  return *global;
}



