
// LinearFunction.C

#include "LinearFunction.H"
#include <iostream>
using namespace std;

LinearFunction::LinearFunction(DblMatrix &A)
  : A(A)
{
  // ctor
}



float LinearFunction::operator()(Case &x)
{
  double value=0;

  int i, n=x.getNumAttributes();
  for(i=0 ; i<n ; ++i)
    value+=A(i,0)*x.getContinuous(i);
  value+=A(n,0); // Add the y-intercept

  return value;
}

