/***********************************************************************
 ContinuousDistr.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_ContinuousDistr_H
#define INCL_ContinuousDistr_H

namespace BOOM {
class ContinuousDistr
{
public:
  virtual double density(double x) const=0;
  virtual double logDensity(double x) const=0;
};
}

#endif
