/***********************************************************************
 Entropy.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_BOOM_Entropy_H
#define INCL_BOOM_Entropy_H
#include "Vector.H"
using namespace std;

namespace BOOM {
class Entropy
{
public:
  static double entropy(BOOM::Vector<double> &);
  static double relativeEntropy(BOOM::Vector<double> &,
				BOOM::Vector<double> &);
  static double crossEntropy(BOOM::Vector<double> &,
			     BOOM::Vector<double> &);
};
}

#endif
