/***********************************************************************
 ExtremeValueDistribution.C
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#include "ExtremeValueDistribution.H"
#include <iostream>
using namespace BOOM;


ExtremeValueDistribution::ExtremeValueDistribution(double alpha,double beta)
  : alpha(alpha), beta(beta)
{
}



double ExtremeValueDistribution::density(double x) const
{
  return density(x,alpha,beta);
}



double ExtremeValueDistribution::logDensity(double x) const
{
  return logDensity(x,alpha,beta);
}



