/***********************************************************************
 GaussJordan.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_BOOM_GaussJordan_H
#define INCL_BOOM_GaussJordan_H
#include "InversionMatrix.H"
using namespace std;

namespace BOOM {
class GaussJordan
{
public:
  static bool invert(BOOM::DblMatrix &thisMatrix,BOOM::DblMatrix &intoHere);
private:
  static int getNonzeroRow(int,BOOM::InversionMatrix &);
  static void zeroOut(int,BOOM::InversionMatrix &);
};
}

#endif
