/***********************************************************************
 JointDistr.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_BOOM_JointDistr_H
#define INCL_BOOM_JointDistr_H
#include "Array2D.H"
#include "Array1D.H"
using namespace std;

namespace BOOM {
class JointDistr : public BOOM::Array2D<double>
{
public:
  JointDistr(int X,int Y);
  double getMarginalX(int x);
  double getMarginalY(int y);
  void computeMarginals();
private:
  BOOM::DblArray1D marginalX, marginalY;
};
}

#endif
