/***********************************************************************
 MemStream.H
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#ifndef INCL_BOOM_MemStream_H
#define INCL_BOOM_MemStream_H
#include "String.H"

namespace BOOM {
class MemStream
{
public:
  MemStream(const char *data);
  BOOM::String readLine();
  bool eof();
private:
  const char *p;
};
}

#endif
