/****************************************************************
 Mutex.H
 william.majoros@duke.edu

 This is open-source software, governed by the ARTISTIC LICENSE 
 (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_Mutex_H
#define INCL_Mutex_H
#include <iostream>
#include <pthread.h>
using namespace std;

namespace BOOM {
class Mutex
{
    pthread_mutexattr_t attr;
    pthread_mutex_t mutex;
public:
    Mutex();
    virtual ~Mutex();
    void wait();
    void signal();
};
}

#endif

