/***********************************************************************
 PoissonDistribution.C
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#include "PoissonDistribution.H"
#include <iostream>
using namespace BOOM;


PoissonDistribution::PoissonDistribution(int lambda)
  : lambda(lambda)
{
}



double PoissonDistribution::density(int x)
{
  return density(x,lambda);
}



double PoissonDistribution::logDensity(int x)
{
  return logDensity(x,lambda);
}


