/***********************************************************************
 Stacktrace.C
 bmajoros@tigr.org

 BOOM : Bioinformatics Object Oriented Modules

 This software is open source, and is distributed under the terms of the
 ARTISTIC LICENSE, as described at www.opensource.org.
 ***********************************************************************/
#include <iostream>
#include "Stacktrace.H"
using namespace std;



BOOM::Stacktrace::Stacktrace(const char *message)
{
  cout << endl << message << endl << endl;
  cout << "Initiating core dump...use your debugger to get a stack trace"
       << endl;
  ((Crasher*)0)->crash();
}



BOOM::Stacktrace::Stacktrace(const BOOM::String &message)
{
  cout << endl << message << endl << endl;
  cout << "Initiating core dump...use your debugger to get a stack trace"
       << endl;
  ((Crasher*)0)->crash();
}
