/****************************************************************
 Classifier.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_Classifier_H
#define INCL_Classifier_H

#include "DecisionTree.H"
#include "../common/Case.H"
#include "../common/Schema.H"

class Classifier
{
  DecisionTree tree;
  Schema &schema;

  bool eval(Case &,PredicateNode &);
public:
  Classifier(DecisionTree,Schema &);
  int classify(Case &);
};


#endif
