/****************************************************************
 ActivationRecord.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_ActivationRecord_H
#define INCL_ActivationRecord_H

#include "BOOM/Array1D.H"
using namespace BOOM;

class ActivationRecord
{
  FloatArray1D variables;
  int stackDepth;
public:
  ActivationRecord(int numVariables,int stackDepth=0);
  int numVariables();
  float &operator[](int);
  int getStackDepth();
};


#endif
