/****************************************************************
 CrossoverPoint.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_CrossoverPoint_H
#define INCL_CrossoverPoint_H

#include "TreeNode.H"

class CrossoverPoint
{
  TreeNode *parent;
  int childNum;
  int depth;
public:
  CrossoverPoint();
  CrossoverPoint(const CrossoverPoint &);
  CrossoverPoint(TreeNode *parent,int childNum,int depth);
  CrossoverPoint &operator=(const CrossoverPoint &);
  TreeNode *getParent() const;
  int getChildNum() const;
  int getDepth() const;
  void performCrossover(CrossoverPoint *);
};


#endif
