/****************************************************************
 PopulationBuilder.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_PopulationBuilder_H
#define INCL_PopulationBuilder_H

#include "Population.H"
#include "BOOM/Vector.H"
#include "TreeNode.H"
#include "IndividualBuilder.H"
#include "SymbolSet.H"
using namespace BOOM;


class PopulationBuilder
{
  IndividualBuilder individualBuilder;
public:
  PopulationBuilder(SymbolSet &);
  Population *buildPopulation(int populationSize,int minHeight,
			      int maxHeight);
};


#endif
