/****************************************************************
 CrosserOver.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_CrosserOver_H
#define INCL_CrosserOver_H

#include "Individual.H"
#include "CrossPtCollector.H"

class CrosserOver
{
  CrossPtCollector crossPtCollector;
  CrossoverPoint selectCrossoverPoint(Individual &,int treeNum);
  void enforceHeightLimit(Individual *&child,int maxHeight,
			  const Individual *parent);
public:
  CrosserOver();
  void crossover(const Individual *mother,const Individual *father,
		 Individual *&daughter,Individual *&son);
};


#endif
