/****************************************************************
 DataSetStatistics.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_DataSetStatistics_H
#define INCL_DataSetStatistics_H

#include "BOOM/Map.H"
#include "../common/TrainingSet.H"
using namespace BOOM;

class DataSetStatistics
{
  TrainingSet &dataSet;
public:
  DataSetStatistics(TrainingSet &);
  Map<int,int> *getX2Index();
  void getPredictorStats(int i,float &min,float &max);
};

#endif
