/****************************************************************
 Discretizer.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_Discretizer_H
#define INCL_Discretizer_H
#include <iostream>
using namespace std;

class Discretizer
{
  float minValue;
  float bucketSize;

  void load(istream &);
public:
  Discretizer(istream &);
  Discretizer(float minValue,float bucketSize);
  int discretize(float value);
  void printOn(ostream &);
};

ostream &operator<<(ostream &,Discretizer &);

#endif
