/****************************************************************
 AttrValuePair.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_AttrValuePair_H
#define INCL_AttrValuePair_H
#include <iostream>
using namespace std;

class AttrValuePair
{
  int attribute;
  double value;
public:
  AttrValuePair(int attribute,double value);
  AttrValuePair(int attribute,int value);
  int getAttribute();
  double getFloatValue();
  int getIntValue();
  void printOn(ostream &);
};

ostream &operator<<(ostream &,AttrValuePair &p);

#endif
