/****************************************************************
 AttributeIterator.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_AttributeIterator_H
#define INCL_AttributeIterator_H
#include "AttrValuePair.H"
#include "AttrRangeTable.H"
using namespace BOOM;

class AttributeIterator
{
  Schema &schema;
  Array1D<ValueArray*> &arrays;
  int currentAttribute;
  ValueArray *currentArray;
  int currentArrayIndex;
  bool done;
public:
  AttributeIterator(AttrRangeTable &);//calls reset()
  void reset();
  bool hasMoreElements();
  AttrValuePair currentElement();
  void advance();
};


#endif
