/****************************************************************
 Distribution.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_Distribution_H
#define INCL_Distribution_H
#include "BOOM/Array1D.H"
using namespace BOOM;

class Distribution
{
  Array1D<float> array;
public:
  Distribution(int numCategories);
  float &operator[](int);
  int getNumCategories();
  void setAllTo(float);
  int mostPopularCategory();
};

#endif
