/****************************************************************
 NeuralCase.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_NeuralCase_H
#define INCL_NeuralCase_H

#include "BOOM/Array1D.H"
using namespace BOOM;

class NeuralCase
{
  DblArray1D inputs, outputs;
  int category;
public:
  NeuralCase(int numInputs,int numOutputs);
  ~NeuralCase();
  void setInput(int index,double value);
  void setOutput(int index,double value);
  double getInput(int index);
  double getOutput(int index);
  void setCategory(int);
  int getCategory();
};

#endif
