/****************************************************************
 NeuronType.C
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "NeuronType.H"

NeuronType::NeuronType(TransferFunction &t,InputCombiningFunction &c)
  : transferFunction(t), inputFunction(c)
{
  // ctor
}



TransferFunction &NeuronType::getTransferFunction()
{
  return transferFunction;
}



InputCombiningFunction &NeuronType::getInputCombiningFunction()
{
  return inputFunction;
}
