/****************************************************************
 StandardNeuron.C
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "StandardNeuron.H"
#include "BOOM/Random.H"


LogisticFunction StandardNeuron::stdTransfer;
SigmaFunction StandardNeuron::stdCombiner;
NeuronType StandardNeuron::standardType(stdTransfer,
					stdCombiner);


StandardNeuron::StandardNeuron(float initialValue)
  : Neuron(initialValue,standardType)
{
  // ctor
}


StandardNeuron::StandardNeuron()
  : Neuron(Random0to1()*10,standardType)
{
  // ctor
}

