/****************************************************************
 StandardNeuron.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_StandardNeuron_H
#define INCL_StandardNeuron_H

#include "Neuron.H"
#include "SigmaFunction.H"
#include "LogisticFunction.H"

class StandardNeuron : public Neuron
{
  static LogisticFunction stdTransfer;
  static SigmaFunction stdCombiner;
  static NeuronType standardType;
public:
  StandardNeuron();
  StandardNeuron(float initialValue);
};

#endif
