/****************************************************************
 ActivationRecord.C
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "ActivationRecord.H"
#include <iostream>
using namespace std;

ActivationRecord::ActivationRecord(int numVariables,int stackDepth)
  : variables(numVariables), stackDepth(stackDepth)
{
  // ctor
}



int ActivationRecord::numVariables()
{
  return variables.size();
}



float &ActivationRecord::operator[](int i)
{
  return variables[i];
}



int ActivationRecord::getStackDepth()
{
  return stackDepth;
}


