/****************************************************************
 CrossPtCollector.C
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "CrossPtCollector.H"
#include <iostream>
using namespace std;


CrossPtCollector::CrossPtCollector()
{
  // ctor
}



Vector<CrossoverPoint> *CrossPtCollector::collectPoints(TreeNode *root)
{
  Vector<CrossoverPoint> *points=new Vector<CrossoverPoint>();

  addPointsRecurs(*root,*points,0);

  return points;
}



void CrossPtCollector::addPointsRecurs(TreeNode &node,
				       Vector<CrossoverPoint> &points,
				       int depth)
{
  int i, n=node.getNumChildren();
  for(i=0 ; i<n ; ++i)
    {
      points.push_back(CrossoverPoint(&node,i,depth));
      addPointsRecurs(*node.getIthChild(i),points,depth+1);
    }
}



