/****************************************************************
 Mutator.H
 william.majoros@duke.edu

 Copyright 2005 William H. Majoros.  This is open-source software,
 governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_Mutator_H
#define INCL_Mutator_H

#include "BOOM/Vector.H"
#include "TreeNode.H"
#include "CrossPtCollector.H"
#include "Individual.H"
#include "SymbolSet.H"
using namespace BOOM;


class Mutator
{
  SymbolSet &symbolSet;
  CrossPtCollector crossPtCollector;
public:
  Mutator(SymbolSet &);
  Individual *mutate(Individual *); // doesn't modify its parameter
};


#endif
